{
  lib,
  config,
  ...
}: {
  options.marleyos.shell.wayland.enable = lib.mkEnableOption "wayland";

  config = lib.mkIf config.marleyos.shell.wayland.enable {
    # Fix the "tray.target not found" error.
    systemd.user.targets.tray = lib.mkIf (!config.xsession.enable) {
      Unit = {
        Description = "Home Manager System Tray";
        Requires = ["graphical-session-pre.target"];
      };
    };
  };
}
